Get all system metrics
import requests
url = "https://{FUSION HOST}/api/system/metrics"
response = requests.get(url)
print(response.text){
"version": "3.0.0",
"gauges": {},
"counters": {},
"histograms": {},
"meters": {
"com.lucidworks.apollo.pipeline.index.IndexPipelineCache.cacheHit": {
"count": 4775,
"m15_rate": 0.03604340402401043,
"m1_rate": 0.04985610410800882,
"m5_rate": 0.04753263154077047,
"mean_rate": 0.05028487069705915,
"units": "events/second"
}
},
"timers": {
"com.lucidworks.apollo.pipeline.index.IndexPipelineCache.deserialize": {
"count": 7,
"max": 0.078783,
"mean": 0.028265285714285715,
"min": 0.00009800000000000001,
"p50": 0.000194,
"p75": 0.06996100000000001,
"p95": 0.078783,
"p98": 0.078783,
"p99": 0.078783,
"p999": 0.078783,
"values": [
0.00009800000000000001,
0.000109,
0.000162,
0.000194,
0.04855,
0.06996100000000001,
0.078783
],
"stddev": 0.03620774742010466,
"m15_rate": 2.964393875e-314,
"m1_rate": 2.128434034679706e-46,
"m5_rate": 4.9195401948202935e-138,
"mean_rate": 0.00007371603924510614,
"duration_units": "seconds",
"rate_units": "calls/second"
},
"com.lucidworks.apollo.pipeline.index.IndexStageConfigCache.deserialize": {
"count": 7,
"max": 0.002377,
"mean": 0.00046642857142857147,
"min": 0.000087,
"p50": 0.000116,
"p75": 0.000346,
"p95": 0.002377,
"p98": 0.002377,
"p99": 0.002377,
"p999": 0.002377,
"values": [
0.000087,
0.00009300000000000001,
0.000111,
0.000116,
0.000135,
0.000346,
0.002377
],
"stddev": 0.000847267737523163,
"m15_rate": 2.964393875e-314,
"m1_rate": 2.1522151745137967e-46,
"m5_rate": 5.086288568158318e-138,
"mean_rate": 0.00007372680363461613,
"duration_units": "seconds",
"rate_units": "calls/second"
},
"com.lucidworks.apollo.pipeline.index.IndexStageConfigStore.deserialize": {
"count": 6,
"max": 0.0019760000000000003,
"mean": 0.0005606666666666667,
"min": 0.00010800000000000001,
"p50": 0.00014250000000000002,
"p75": 0.00114875,
"p95": 0.0019760000000000003,
"p98": 0.0019760000000000003,
"p99": 0.0019760000000000003,
"p999": 0.0019760000000000003,
"values": [
0.00010800000000000001,
0.00012200000000000001,
0.000135,
0.00015000000000000001,
0.0008730000000000001,
0.0019760000000000003
],
"stddev": 0.000754704622131511,
"m15_rate": 2.964393875e-314,
"m1_rate": 1.0220227879692082e-48,
"m5_rate": 7.20591046931865e-140,
"mean_rate": 0.00006318494243486903,
"duration_units": "seconds",
"rate_units": "calls/second"
},
"com.lucidworks.apollo.pipeline.index.IndexStageConfigStore.getItem": {
"count": 6,
"max": 0.003128,
"mean": 0.002295,
"min": 0.0017770000000000002,
"p50": 0.0020715,
"p75": 0.002774,
"p95": 0.003128,
"p98": 0.003128,
"p99": 0.003128,
"p999": 0.003128,
"values": [
0.0017770000000000002,
0.002066,
0.002066,
0.0020770000000000003,
0.0026560000000000004,
0.003128
],
"stddev": 0.0004989869737778733,
"m15_rate": 2.964393875e-314,
"m1_rate": 1.0220227879692082e-48,
"m5_rate": 7.20591046931865e-140,
"mean_rate": 0.00006318494244418448,
"duration_units": "seconds",
"rate_units": "calls/second"
}
}
}Show data about all system metrics.
GET
/
system
/
metrics
Get all system metrics
import requests
url = "https://{FUSION HOST}/api/system/metrics"
response = requests.get(url)
print(response.text){
"version": "3.0.0",
"gauges": {},
"counters": {},
"histograms": {},
"meters": {
"com.lucidworks.apollo.pipeline.index.IndexPipelineCache.cacheHit": {
"count": 4775,
"m15_rate": 0.03604340402401043,
"m1_rate": 0.04985610410800882,
"m5_rate": 0.04753263154077047,
"mean_rate": 0.05028487069705915,
"units": "events/second"
}
},
"timers": {
"com.lucidworks.apollo.pipeline.index.IndexPipelineCache.deserialize": {
"count": 7,
"max": 0.078783,
"mean": 0.028265285714285715,
"min": 0.00009800000000000001,
"p50": 0.000194,
"p75": 0.06996100000000001,
"p95": 0.078783,
"p98": 0.078783,
"p99": 0.078783,
"p999": 0.078783,
"values": [
0.00009800000000000001,
0.000109,
0.000162,
0.000194,
0.04855,
0.06996100000000001,
0.078783
],
"stddev": 0.03620774742010466,
"m15_rate": 2.964393875e-314,
"m1_rate": 2.128434034679706e-46,
"m5_rate": 4.9195401948202935e-138,
"mean_rate": 0.00007371603924510614,
"duration_units": "seconds",
"rate_units": "calls/second"
},
"com.lucidworks.apollo.pipeline.index.IndexStageConfigCache.deserialize": {
"count": 7,
"max": 0.002377,
"mean": 0.00046642857142857147,
"min": 0.000087,
"p50": 0.000116,
"p75": 0.000346,
"p95": 0.002377,
"p98": 0.002377,
"p99": 0.002377,
"p999": 0.002377,
"values": [
0.000087,
0.00009300000000000001,
0.000111,
0.000116,
0.000135,
0.000346,
0.002377
],
"stddev": 0.000847267737523163,
"m15_rate": 2.964393875e-314,
"m1_rate": 2.1522151745137967e-46,
"m5_rate": 5.086288568158318e-138,
"mean_rate": 0.00007372680363461613,
"duration_units": "seconds",
"rate_units": "calls/second"
},
"com.lucidworks.apollo.pipeline.index.IndexStageConfigStore.deserialize": {
"count": 6,
"max": 0.0019760000000000003,
"mean": 0.0005606666666666667,
"min": 0.00010800000000000001,
"p50": 0.00014250000000000002,
"p75": 0.00114875,
"p95": 0.0019760000000000003,
"p98": 0.0019760000000000003,
"p99": 0.0019760000000000003,
"p999": 0.0019760000000000003,
"values": [
0.00010800000000000001,
0.00012200000000000001,
0.000135,
0.00015000000000000001,
0.0008730000000000001,
0.0019760000000000003
],
"stddev": 0.000754704622131511,
"m15_rate": 2.964393875e-314,
"m1_rate": 1.0220227879692082e-48,
"m5_rate": 7.20591046931865e-140,
"mean_rate": 0.00006318494243486903,
"duration_units": "seconds",
"rate_units": "calls/second"
},
"com.lucidworks.apollo.pipeline.index.IndexStageConfigStore.getItem": {
"count": 6,
"max": 0.003128,
"mean": 0.002295,
"min": 0.0017770000000000002,
"p50": 0.0020715,
"p75": 0.002774,
"p95": 0.003128,
"p98": 0.003128,
"p99": 0.003128,
"p999": 0.003128,
"values": [
0.0017770000000000002,
0.002066,
0.002066,
0.0020770000000000003,
0.0026560000000000004,
0.003128
],
"stddev": 0.0004989869737778733,
"m15_rate": 2.964393875e-314,
"m1_rate": 1.0220227879692082e-48,
"m5_rate": 7.20591046931865e-140,
"mean_rate": 0.00006318494244418448,
"duration_units": "seconds",
"rate_units": "calls/second"
}
}
}Documentation Index
Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
Use this file to discover all available pages before exploring further.
Query Parameters
True to format the data for easier reading.
The time unit ('seconds', 'minutes', and so on) to display rates.
The time unit ('seconds', 'minutes', and so on) to display durations.
True to display the data values used in calculations.
A regular expression to find all configuration items that contain matching strings.
Match all configuration items that start with the specified string.
Response
200 - application/json
successful operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
NANOSECONDS, MICROSECONDS, MILLISECONDS, SECONDS, MINUTES, HOURS, DAYS Available options:
NANOSECONDS, MICROSECONDS, MILLISECONDS, SECONDS, MINUTES, HOURS, DAYS Was this page helpful?
⌘I